org.wildfly.swarm.microprofile.faulttolerance.deployment.config

## Class FaultToleranceOperation

- java.lang.Object
- - org.wildfly.swarm.microprofile.faulttolerance.deployment.config.FaultToleranceOperation

-     public class FaultToleranceOperation
      extends Object

  Fault tolerance operation metadata.
  Author:
    Martin Kouba

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `BulkheadConfig` | `getBulkhead()`
    `CircuitBreakerConfig` | `getCircuitBreaker()`
    `FallbackConfig` | `getFallback()`
    `RetryConfig` | `getRetry()`
    `TimeoutConfig` | `getTimeout()`
    `boolean` | `hasBulkhead()`
    `boolean` | `hasCircuitBreaker()`
    `boolean` | `hasFallback()`
    `boolean` | `hasRetry()`
    `boolean` | `hasTimeout()`
    `boolean` | `isAsync()`
    `boolean` | `isLegitimate()`
    `static FaultToleranceOperation` | `of(<any> annotatedMethod)`
    `String` | `toString()`
    `boolean` | `validate()` Throws `FaultToleranceDefinitionException` if validation fails.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### of

          public static FaultToleranceOperation of(<any> annotatedMethod)

    - #### isAsync

          public boolean isAsync()

    - #### hasBulkhead

          public boolean hasBulkhead()

    - #### getBulkhead

          public BulkheadConfig getBulkhead()

    - #### getCircuitBreaker

          public CircuitBreakerConfig getCircuitBreaker()

    - #### hasCircuitBreaker

          public boolean hasCircuitBreaker()

    - #### getFallback

          public FallbackConfig getFallback()

    - #### hasFallback

          public boolean hasFallback()

    - #### getRetry

          public RetryConfig getRetry()

    - #### hasRetry

          public boolean hasRetry()

    - #### getTimeout

          public TimeoutConfig getTimeout()

    - #### hasTimeout

          public boolean hasTimeout()

    - #### isLegitimate

          public boolean isLegitimate()

    - #### validate

          public boolean validate()

      Throws `FaultToleranceDefinitionException` if validation fails.

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2018 JBoss by Red Hat. All rights reserved.